"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LogOnChange = void 0;
var PropTypes = require("prop-types");
var React = require("react");
var Amplitude_1 = require("./Amplitude");
exports.LogOnChange = function (props) {
    var logEvent = Amplitude_1.useAmplitude(undefined, props.instanceName).logEvent;
    React.useEffect(function () {
        logEvent(props.eventType, props.eventProperties);
    }, [props.value]);
    return props.children || null;
};
exports.LogOnChange.propTypes = {
    eventProperties: PropTypes.oneOfType([PropTypes.object, PropTypes.func]),
    eventType: PropTypes.string.isRequired,
    instanceName: PropTypes.string,
    value: PropTypes.any,
};
